# Function UseComponent

- UseComponent<Component>(component, setProperties?): ((target, propertyKey) => void)

- #### Type Parameters

  - Component extends ControlValueAccessor

  #### Parameters

  - component: Constructor<Component>
  - setProperties: Partial<Record<keyof Component, any>> = {}

  #### Returns ((target, propertyKey) => void)

  - - (target, propertyKey): void

    - #### Parameters

      - target: any
      - propertyKey: string

      #### Returns void

  - Defined in packages/angular/form-system/src/lib/decorators/use-component.ts:6